python-mne (1.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Use GitHub template in watch file instead of explicit
    Source/Matching-Pattern.
  * Disable pytest debug messages
  * insert allow-missing-metadata-in-sys_info.patch

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Thu, 23 Apr 2026 12:24:57 +0200

python-mne (1.12.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.12.0 (Closes: #1125078)
  * Standards-Version: 4.7.4 (routine-update)
  * d/control: wrap-and-sort
  * Update watch file format version to 5.
  * d/rules: Enable test_spherical_conversions and not test_tps
  * insert python3-mne.lintian-overrides
  * d/rules: Disable test_parallel_func_n_jobs_none
  * d/control: Update test depends.
  * d/control: delete obsolete Rules-Requires-Root: no

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Fri, 10 Apr 2026 06:21:06 +0200

python-mne (1.9.0-2) unstable; urgency=medium

  * d/rules: skip test_spherical_conversions and test_tps. (Closes: #1100273)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Apr 2025 17:54:14 +0200

python-mne (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0  (Closes: #1093353)
  * d/control: bump to libjs-bootstrap5 as it seems expected upstream.
    (Closes: #1088495)
  * d/salsa-ci.yml: disable test on i386.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Feb 2025 08:15:50 +0100

python-mne (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * d/control: enable pytest qtbot fixture.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 09:46:18 +0200

python-mne (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * d/links: freshen javascript libraries.
  * d/rules: slightly modernize the makefile.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jun 2024 23:21:35 +0200

python-mne (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/copyright: remove Files-Excluded field.
    Affected files have disappeared upstream, repack is no more needed.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: build depends on python3-hatchling.
  * d/control: build depends on python3-hatch-vcs.
  * d/control: tests depend on python3-pooch.
  * d/control: tests depend on python3-pytest-timeout.
  * d/control: tests depend on python3-tqdm.
  * d/rules: cosmetic: improve readability.
  * d/rules: remove ||true; allow the test suite to fail again.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Apr 2024 15:18:08 +0200

python-mne (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.1+dfsg
  * up_check_numpy: delete: doesn't apply anymore.
  * d/{control,rules}: move to dh-sequence-python3.
  * d/control: update build dependencies list.
  * d/missing-sources/*.js: hunted missing source code.
    The source code of python-mne holds minified javascript.  These files
    are the expanded versions of the minified files.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 16:19:02 +0100

python-mne (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Expat.
  * Do not mention non-existing Files-Excluded
  * No need to provide bootstrap.js any more

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 17:39:55 +0100

python-mne (1.2.0+dfsg-2) unstable; urgency=medium

  * d/control: remove dependencies to nose. (Closes: #1018533)
  * d/control: add myself to uploaders.
  * d/copyright: remove superfluous references to externals.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 21:45:54 +0100

python-mne (1.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Create proper source tarball name
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 09:38:40 +0200

python-mne (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Security-Contact.
  * Switch from python-vtk7 to python-vtk9
    Closes: #1016602

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 14:10:02 +0200

python-mne (0.23.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove outdated debian/TOTO

 -- Andreas Tille <tille@debian.org>  Tue, 28 Sep 2021 10:14:03 +0200

python-mne (0.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: python-mne
    Closes: #939623
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Replace Build-Depends forcing Python2 to mayavi2 (python-vtk6 | python-vtk)
    by python3-vtk7
  * Recommends: s/mayavi2/python3-vtk7/
    Suggests: mayavi2

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2019 09:52:14 +0100

python-mne (0.18.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload (with team approval).
  * New upstream release.
  * Switch to Python 3.
  * Ran wrap-and-sort -bast.
  * Rebased deb_paths and up_check_numpy patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2019 14:38:58 +0200

python-mne (0.17+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * ignore remaining errors in test suite
  * debhelper 12
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Drop ancient X-Python-Version field
  * Build-Depends: s/python-sphinx/python3-sphinx/
  * remove outdated debian/pycompat
  * buildsystem pybuild
  * Fix permissions of some data files
  * Modernise d/watch
  * Replace compressed css
  * Realised that mne/html/mpld3.v0.2.min.js is removed as well but there
    is no replacement packaged in Debian
  * Remove Alexandre Gramfort <alexandre.gramfort@m4x.org> from Uploaders
    since he confirmed to have not time for the maintenance (Thanks for
    your work on the package Alexandre)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Jan 2019 09:29:16 +0100

python-mne (0.15.2+dfsg-2) unstable; urgency=medium

  * up_check_numpy to skip a test for warnings being issued with
    older numpys

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 22:57:35 -0500

python-mne (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #858909)
    - should resolve failing tests (Closes: #877344)
  * debian/control
    - Added python-pytest{,-cov} to build-depends and switch to use
      py.test in debian/rules
    - Added python-nibabel to B-Depends, and Recommends
  * A number of patches added to mitigate failing and segfaulting
    tests:
    - deb_skip_segfaultingtests
    - up_skip_test_requires_data
    - up_tempita_unicode

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 13:07:52 -0500

python-mne (0.13.1+dfsg-3) unstable; urgency=medium

  * Depends: libjs-d3
    Closes: #858486

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 15:14:07 +0100

python-mne (0.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix corrupted bootstrap.min.js when built with dash as /bin/sh
    (Thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #852518
  * Drop myself from Uploaders
  * debhelper 10
  * d/watch: version=4
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 25 Jan 2017 10:01:32 +0100

python-mne (0.13.1+dfsg-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Nov 2016 22:33:19 -0500

python-mne (0.13+git8-gcb8707f+dfsg-1) unstable; urgency=medium

  * Fresh upstream maint snapshot hopefully resolving issues with unicode
    - removed --exclude=test_add_slider_to_section
  * This time with +dfsg cleansing of .min.js files
  * debian/copyright
    - MIT -> Expat, consistent -Clause for BSD, https url

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 10:39:08 -0500

python-mne (0.13+git5-g028f2ee-2) unstable; urgency=medium

  * debian/rules
    - --exclude=test_add_slider_to_section for nose to avoid floating
      unicode issue (see https://github.com/mne-tools/mne-python/issues/3657
      upstream report).  If builds, Closes #837276 (originally FTBFS due to
      some mayavi2 availability issue)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Nov 2016 22:36:23 -0500

python-mne (0.13+git5-g028f2ee-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - dropped changeset_*
    - added a changeset (upstreamed) to skip few tests if no usable mayavi2
  * debian/rules
    - fake http_proxy settings to forbid network access
    - HOME=build/ to avoid trying to deal with / as HOME

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Oct 2016 14:59:44 -0400

python-mne (0.12+dfsg-2) unstable; urgency=medium

  * debian/control
    - make recent mayavi2 (>= 4.4.3-1) the lead bdepends to python-vtk{6,}
      as an alternatives (Closes: #830357)
      Versioned mayavi2 is needed since otherwise would fail with mayavi2
      on older releases of debian/ubuntu

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Jul 2016 11:15:35 -0400

python-mne (0.12+dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - boosted policy to 3.9.8
    - suggest python-pycuda

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 May 2016 17:38:17 -0400

python-mne (0.11+dfsg-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/fix_test - dropped, upstreamed

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jan 2016 20:51:51 -0500

python-mne (0.10.1+dfsg-1) unstable; urgency=medium

  [ Jaakko Leppakangas ]
  * New upstream version
  * Removed depedency on mayavi2

  [ Yaroslav Halchenko ]
  * debian/patches
    - dropped CPed from upstream changeset_9c7ef6d1*
  * debian/control
    - added python-vtk | mayavi2 to the build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:44:11 -0500

python-mne (0.8.6+dfsg-2) unstable; urgency=medium

  * debian/{rules.patches/changeset_b9d4d*}
    Absorb upstream patch and specify not using HOME directory for generated
    pre-computed data, but instead use tempdir. (Closes: #768730)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:33:18 -0500

python-mne (0.8.6+dfsg-1) unstable; urgency=low

  * New upstream version
  * remove dependency on d3

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 25 Oct 2014 16:09:07 -0400

python-mne (0.8.4+dfsg-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * New upstream version.
  * Skip tests needing network access (Closes: #759916)
  * Regenerate compressed bootstrap 3.0, added build-depends on
    yui-compressor

  [ Andreas Tille ]
  * Strip compressed JS files from upstream source

  [ Yaroslav Halchenko ]
  * debian/copyright
    - updated to note MIT license for bootstrap 3.0
  * debian/control
    - removed pysupport from build-depends (not used)
    - added mayavi2 and jquery packages into build-depends for robust
      build across all Debian/Ubuntu releases and extended testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Sep 2014 08:20:50 -0400

python-mne (0.7.3-1) unstable; urgency=low

  * New upstream version
    Closes: #735811
  * Set back X-Python-Version to >= 2.6

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sat, 18 Jan 2014 17:00:00 -0400

python-mne (0.7.1-2) neurodebian; urgency=low

  * Boost X-Python-Version to >= 2.7 to provide installable
    builds for wheezy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500

python-mne (0.7.1-1) unstable; urgency=low

  [ Alexandre Gramfort ]
  * Fresh upstream release

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Wed, 8 Jan 2014 17:00:00 -0400

python-mne (0.7-1) unstable; urgency=low

  * Initial packaging (Closes: #728797)

 -- Alexandre Gramfort <alexandre.gramfort@m4x.org>  Sun, 27 Oct 2013 21:30:31 -0400
